repo/proj/guru:dev commit in: sci-biology/jalview-bin/

Andrés Becerra <[email protected]> Tue, 04 Aug 2026 20:07:58 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785874047.5e5e5ff64d8deaf9ade95994dbceddbfae23b002.andres.becerra@gentoo>
commit:     5e5e5ff64d8deaf9ade95994dbceddbfae23b002
Author:     Andrés Becerra <andres.becerra <AT> gmail <DOT> com>
AuthorDate: Tue Aug  4 20:07:27 2026 +0000
Commit:     Andrés Becerra <andres.becerra <AT> gmail <DOT> com>
CommitDate: Tue Aug  4 20:07:27 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5e5e5ff6

sci-biology/jalview-bin: add 2.11.5.2

Signed-off-by: Andrés Becerra <andres.becerra <AT> gmail.com>

 sci-biology/jalview-bin/Manifest                   |  1 +
 .../jalview-bin/jalview-bin-2.11.5.2.ebuild        | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/sci-biology/jalview-bin/Manifest b/sci-biology/jalview-bin/Manifest
index ceafa46b36..173f9a76bc 100644
--- a/sci-biology/jalview-bin/Manifest
+++ b/sci-biology/jalview-bin/Manifest
@@ -1 +1,2 @@
 DIST jalview-all-2.11.5.1-j1.8.jar 51193467 BLAKE2B 7fdabea94eaa932b8775b0bfaad5fac2169cf070608ca531e0a64a34a04da95ed14d1f08c1cb0f0ba75ef126671bc4e4007212af05e8aaf33f6a1725b9f8c694 SHA512 bfb1228984484bc32c00eb212cac7af0d33bb02773cbc81bcdda0757643625c0d6a72bd19d1153b196062fce52d435d3d15509b75d9af8cb264888f4d695de89
+DIST jalview-all-2.11.5.2-j1.8.jar 51194189 BLAKE2B 5bffe32f2c5c1d9501d2c772b6be96be501496e309d7ca820df7c56a691d61fcba5c4b79b2649727ccdbb186a5046ab1bc50ed2c765c236332dc018b03dd988b SHA512 cf9cd87f2bff9e6e811d608e798b60c913b9b24be1546bc0a023858e0b4b5c28d6df77405436372d72d02ad1a716e0cd23b96caf0bf5bb2d3664cdddd80da7a6

diff --git a/sci-biology/jalview-bin/jalview-bin-2.11.5.2.ebuild b/sci-biology/jalview-bin/jalview-bin-2.11.5.2.ebuild
new file mode 100644
index 0000000000..1fde572cf7
--- /dev/null
+++ b/sci-biology/jalview-bin/jalview-bin-2.11.5.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_WANT_TARGET=1.8
+
+inherit desktop java-pkg-2
+
+DESCRIPTION="Editor of multiple sequence alignments."
+HOMEPAGE="https://www.jalview.org/"
+SRC_URI="https://www.jalview.org/getdown/release/jalview-all-${PV}-j1.8.jar"
+
+S="${WORKDIR}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-arch/unzip"
+
+RDEPEND="virtual/jre:1.8"
+
+src_unpack() {
+	cp -v "${DISTDIR}/${A}" . || die
+	unzip -u ${A} images/jalview_logo-48.png || die
+}
+
+src_install() {
+	java-pkg_newjar "jalview-all-${PV}-j1.8.jar"
+	java-pkg_dolauncher "${PN}" --jar "${PN}.jar"
+	newicon images/jalview_logo-48.png jalview_logo_48.png
+	make_desktop_entry "${PN}" JalView jalview_logo_48 Science
+}